[![Build Status](https://github.com/gap-packages/fr/workflows/CI/badge.svg?branch=master)](https://github.com/gap-packages/fr/actions?query=workflow%3ACI+branch%3Amaster)
[![Code Coverage](https://codecov.io/github/gap-packages/fr/coverage.svg?branch=master&token=)](https://codecov.io/gh/gap-packages/fr)

                             The FR package

This is the README file for the GAP package "FR".

This package implements Functionally Recursive and Mealy automata in
GAP. These objects can be manipulated as group elements, and various
specific commands allow their manipulation as automorphisms of infinite
rooted trees. Permutation quotients can also be created and manipulated
as standard GAP groups or semigroups.

This release (1.0) is the first containing all the planned functionality,
though some rough edges will still need to be smoothed. In particular,
the TODO file describes plans for future development, including
computations of presentations for self-similar groups, interval arithmetic
for complex dynamics, etc.

The package is distributed in source form, and does not require anything
else than a running GAP 4.8 or later. For updates, check

     https://github.com/gap-packages/fr

To use the package, start GAP and type

LoadPackage("FR");

The "FR" package banner should appear on the screen.

For details on how to use the FR package, please consult the documentation.
Though this is usually not necessary, it may be recompiled by reading
the file 'makedoc.g' in GAP, e.g. with the command 'Read("makedoc.g");' at
the GAP prompt. The complete documentation is available in the file
'doc/manual.pdf'.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or any
later version.

This program is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program, in the file COPYING.  If not, see
<https://www.gnu.org/licenses/>.

  Laurent Bartholdi, Göttingen, 3 March 2016
